Bug 2098441 - Provide bigger sized fonts for improved readability on high DPI screens
Summary: Provide bigger sized fonts for improved readability on high DPI screens
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 36
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-19 10:42 UTC by Stephane Travostino
Modified: 2022-07-07 08:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-07 08:00:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephane Travostino 2022-06-19 10:42:02 UTC
There is no console font big enough for 4K screens, and reading the console on such screens is painful with good eye sight, and not very fun if your eye sight isn't that great. The fonts in this package are limited to 16 px in height, while at least twice that (32px) would be preferable and readable on higher resolution screens.

Using the `setfont` command it is possible to request a doubling of the font sizes with the `-d` flag, but this option is not available when configuring the boot console font in /etc/vconsole.conf - so the only choice is for Fedora to ship with bigger sized fonts.

Other distributions, such as Arch Linux, have fonts up to 32px.

Comment 1 pmkellly 2022-06-19 15:48:52 UTC
I have recently upgraded my monitors (2560 X 1440) and I fully agree that larger console fonts are urgently needed. Absolute minimum of 32px and I would advocate for 64px.

Comment 2 Vitezslav Crhonek 2022-06-22 07:08:07 UTC
Hi,

/usr/lib/kbd/consolefonts/latarcyrheb-sun32.psfu.gz doesn't work for you? I personally use this font for higher resolutions.
It can't be doubled with the '-d' flag, but you can put it in '/etc/vconsole.conf'.

I'll take a look at other distributions then.

Comment 3 Stephane Travostino 2022-06-22 08:43:56 UTC
latarcyrheb-sun32.psfu.gz seems to be better than the default, thanks, but I imagine someone with a worse eyesight might still find it uncomfortably small. I wouldn't mind a font 50% larger than that one personally.

Comment 4 Vitezslav Crhonek 2022-07-07 08:00:17 UTC
It seems that the situation in other distributions (I was checking Arch Linux in particular) is the same as it is in Fedora.

[1] states that the biggest fonts in kbd are latarcyrheb-sun32 and solar24x32 (both present in Fedora kbd) and that there are
alternatives like ter-132n (normal) and ter-132b (bold) from terminus-font package (this package is called terminus-fonts-console
on Fedora if you with to try them). It's also possible to use smaller resolution for console to mitigate the issue.

But the most important statement there is that '32pixel fonts are the maximum supported by the linux terminal'. There are no bigger
fonts available. This is also why 32p font can't be doubled, maximum size of font for doubling is 16x16.

I'm closing the bug as there's nothing to fix/add within kbd.

[1] https://wiki.archlinux.org/title/HiDPI#Linux_console_(tty)


Note You need to log in before you can comment on or make changes to this bug.